using Furion.DatabaseAccessor;
using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace YBEE.EQM.Core
{
    /// <summary>
    /// 字典值
    /// </summary>
    [Comment("字典值")]
    public partial class SysDictData : IEntity
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Comment("主键")]
        [Key, DatabaseGenerated(DatabaseGeneratedOption.None)]
        public int Id { get; set; }

        /// <summary>
        /// 字典类型Id
        /// </summary>
        [Comment("字典类型Id")]
        [Required]
        public int SysDictTypeId { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Comment("名称")]
        [Required, StringLength(200)]
        public string Name { get; set; }
        /// <summary>
        /// 别称
        /// </summary>
        [Comment("别称")]
        [Required, StringLength(200)]
        public string NickName { get; set; } = "";

        /// <summary>
        /// 编码
        /// </summary>
        [Comment("编码")]
        [Required, StringLength(80)]
        public string Code { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        [Comment("值")]
        [Required]
        public int Value { get; set; }

        /// <summary>
        /// 前端状态编码
        /// </summary>
        [Comment("前端状态编码")]
        [StringLength(80)]
        public string AntStatus { get; set; }

        /// <summary>
        /// 前端颜色值
        /// </summary>
        [Comment("前端颜色值")]
        [StringLength(80)]
        public string AntColor { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Comment("排序")]
        [Required]
        public int Sort { get; set; } = 0;

        /// <summary>
        /// 备注
        /// </summary>
        [Comment("备注")]
        [StringLength(200)]
        public string Remark { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Comment("状态")]
        [Required]
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;

        /// <summary>
        /// 一对一引用（字典类型）
        /// </summary>
        public virtual SysDictType SysDictType { get; set; }
    }
}